メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
prompts
/
rendering
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Prompts;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Prompts.Rendering.BulkUpdateAsync(
            new BulkUpdateAculRequestContent {
                Configs = new List<AculConfigsItem>(){
                    new AculConfigsItem {
                        Prompt = PromptGroupNameEnum.Login,
                        Screen = ScreenGroupNameEnum.Login
                    },
                }

            }
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.prompts.rendering.requests.BulkUpdateAculRequestContent;
import com.auth0.client.mgmt.types.AculConfigsItem;
import com.auth0.client.mgmt.types.PromptGroupNameEnum;
import com.auth0.client.mgmt.types.ScreenGroupNameEnum;
import java.util.Arrays;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.prompts().rendering().bulkUpdate(
            BulkUpdateAculRequestContent
                .builder()
                .configs(
                    Arrays.asList(
                        AculConfigsItem
                            .builder()
                            .prompt(PromptGroupNameEnum.LOGIN)
                            .screen(ScreenGroupNameEnum.LOGIN)
                            .build()
                    )
                )
                .build()
        );
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Prompts\Rendering\Requests\BulkUpdateAculRequestContent;
use Auth0\SDK\API\Management\Types\AculConfigsItem;
use Auth0\SDK\API\Management\Types\PromptGroupNameEnum;
use Auth0\SDK\API\Management\Types\ScreenGroupNameEnum;

$client = new Management(
    token: '<token>',
);
$client->prompts->rendering->bulkUpdate(
    new BulkUpdateAculRequestContent([
        'configs' => [
            new AculConfigsItem([
                'prompt' => PromptGroupNameEnum::Login->value,
                'screen' => ScreenGroupNameEnum::Login->value,
            ]),
        ],
    ]),
);
from auth0.management import ManagementClient, AculConfigsItem

client = ManagementClient(
    token="<token>",
)

client.prompts.rendering.bulk_update(
    configs=[
        AculConfigsItem(
            prompt="login",
            screen="login",
        )
    ],
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.prompts.rendering.bulk_update(configs: [{
  prompt: "login",
  screen: "login"
}])
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/prompts/rendering \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "configs": [
    {
      "context_configuration": [],
      "default_head_tags_disabled": false,
      "use_page_template": false,
      "head_tags": [
        {
          "tag": "<string>",
          "attributes": {},
          "content": "<string>"
        }
      ],
      "filters": {
        "clients": [
          {
            "id": "<string>"
          }
        ],
        "organizations": [
          {
            "id": "<string>"
          }
        ],
        "domains": [
          {
            "id": "<string>"
          }
        ]
      }
    }
  ]
}
'
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    configs: [
      {
        context_configuration: [],
        default_head_tags_disabled: false,
        use_page_template: false,
        head_tags: [{tag: '<string>', attributes: {}, content: '<string>'}],
        filters: {
          clients: [{id: '<string>'}],
          organizations: [{id: '<string>'}],
          domains: [{id: '<string>'}]
        }
      }
    ]
  })
};

fetch('https://{tenantDomain}/api/v2/prompts/rendering', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenantDomain}/api/v2/prompts/rendering"

	payload := strings.NewReader("{\n  \"configs\": [\n    {\n      \"context_configuration\": [],\n      \"default_head_tags_disabled\": false,\n      \"use_page_template\": false,\n      \"head_tags\": [\n        {\n          \"tag\": \"<string>\",\n          \"attributes\": {},\n          \"content\": \"<string>\"\n        }\n      ],\n      \"filters\": {\n        \"clients\": [\n          {\n            \"id\": \"<string>\"\n          }\n        ],\n        \"organizations\": [\n          {\n            \"id\": \"<string>\"\n          }\n        ],\n        \"domains\": [\n          {\n            \"id\": \"<string>\"\n          }\n        ]\n      }\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{
  "configs": [
    {
      "context_configuration": [],
      "default_head_tags_disabled": false,
      "use_page_template": false,
      "head_tags": [
        {
          "tag": "<string>",
          "attributes": {},
          "content": "<string>"
        }
      ],
      "filters": {
        "clients": [
          {
            "id": "<string>"
          }
        ],
        "organizations": [
          {
            "id": "<string>"
          }
        ],
        "domains": [
          {
            "id": "<string>"
          }
        ]
      }
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

Bulk update render settings for multiple screens

configs
object[]
必須

Array of screen configurations to update

Minimum array length: 1

レスポンス

ACUL settings successfully updated.

configs
object[]
必須

Array of screen configurations to update

Minimum array length: 1